dofile_once("data/scripts/lib/utilities.lua")

GlobalsSetValue("custom_biome_music_mod_outtake", "false")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

--The function involves the event name in fmod and the length of the song in seconds
function play_music(event,event_time)

	local current_time = GameGetRealWorldTimeSinceStarted()
	
	--Here we are defining the music event path ("snd_mod/" because my music is in that folder)
	GamePlaySound("mods/custom_biome_music_mod/files/sound/my_mod_audio2.bank", "snd_mod2/" .. event, 0, 0)
	GlobalsSetValue("custom_biome_music_mod_last_time_played", current_time)
	GlobalsSetValue("custom_biome_music_mod_event_time", event_time)

	EntityAddComponent(entity_id, "LuaComponent", {
		script_source_file="mods/custom_biome_music_mod/files/mute_music_and_check_time.lua",
		execute_every_n_frame=1
	})
	
	local this_lua_component = GetUpdatedComponentID()
	EntityRemoveComponent(entity_id, this_lua_component)

end

GlobalsSetValue("custom_biome_music_mod_previous_biome", BiomeMapGetName( x, y ))

if BiomeMapGetName( x, y ) == "$biome_coalmine" or BiomeMapGetName( x, y ) == "$biome_coalmine_alt" then

	play_music("outtake", 98)
	
-- You can do multiple Biomes!
elseif BiomeMapGetName( x, y ) == "$biome_excavationsite" then

	play_music("outtake2", 125)

elseif BiomeMapGetName( x, y ) == "$biome_fungicave" or BiomeMapGetName( x, y ) == "$biome_fun" then

	play_music("unused_fungicave", 83)
	
elseif BiomeMapGetName( x, y ) == "$biome_snowcave" then

	play_music("trailer", 97)

-- elseif BiomeMapGetName( x, y ) == "$biome_sandcave" then

	-- play_music("grotto3", 234)
	
elseif BiomeMapGetName( x, y ) == "$biome_winter" or BiomeMapGetName( x, y ) == "$biome_winter_caves" then

	play_music("grotto5", 147)
	
elseif BiomeMapGetName( x, y ) == "$biome_desert" then

	play_music("grotto4", 157)
	
elseif BiomeMapGetName( x, y ) == "$biome_snowcastle" then

	play_music("test2", 240)
	
elseif BiomeMapGetName( x, y ) == "$biome_rainforest" or BiomeMapGetName( x, y ) == "$biome_rainforest_dark" then

	-- play_music("test", 74)
	play_music("grotto", 127)
	
elseif BiomeMapGetName( x, y ) == "$biome_vault" or BiomeMapGetName( x, y ) == "$biome_vault_frozen" or BiomeMapGetName( x, y ) == "$biome_robobase" then

	play_music("grotto2", 431)

	
-- elseif BiomeMapGetName( x, y ) == "$biome_crypt" then

	-- play_music("unused_crypt", 94)
	
end