--Adding the sounds you got from FMOD:
ModRegisterAudioEventMappings("mods/custom_biome_music_mod/files/sound/GUIDs.txt")

--Adding a checker to check which biome the player is in
function OnPlayerSpawned(player)
	if (GlobalsGetValue("custom_biome_music_mod_load_done", 0) == "1") then
      return
    end
	EntityAddComponent(player, "LuaComponent", {
		script_source_file="mods/custom_biome_music_mod/files/biome_checker_and_music_player.lua",
		execute_every_n_frame=60
	})
	
	GlobalsSetValue("custom_biome_music_mod_load_done", "1")
end

--We check if the game is paused so the song timer doesn't keep going while the game is paused
function OnPausedChanged(is_paused, is_inventory_pause)
  if is_paused then
    last_time_paused = GameGetRealWorldTimeSinceStarted()
  else
    local last_time_played = tonumber(GlobalsGetValue("custom_biome_music_mod_last_time_played", "0"))
    local how_long_paused = GameGetRealWorldTimeSinceStarted() - (last_time_paused or 0)
    GlobalsSetValue("custom_biome_music_mod_last_time_played", last_time_played + how_long_paused)
  end
end